<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CreditCashTransaction extends Model
{
    use HasFactory;

    protected $table = 'credit_cashtransactions';
    protected $fillable = ["*"];

    public function cashtransaction(){
        return $this->belongsTo(Cashtransaction::class,'cashtransaction_id');
    }

    public function isfrom(){
        return $this->belongsTo(Akun::class,'from_id');
    }
    public function isto(){
        return $this->belongsTo(Akun::class,'to_id');
    }
}
